﻿using Microsoft.ML.Data;

namespace MLNet
{
    /// <summary>
    /// 数据类
    /// </summary>
    public class IrisData
    {
        /// <summary>
        /// 花萼长度
        /// </summary>
        [LoadColumn(0)]
        public float SepalLength;
        /// <summary>
        /// 花萼宽度
        /// </summary>
        [LoadColumn(1)]
        public float SepalWidth;
        /// <summary>
        /// 花瓣长度
        /// </summary>
        [LoadColumn(2)]
        public float PetalLength;
        /// <summary>
        /// 花瓣宽度
        /// </summary>
        [LoadColumn(3)]
        public float PetalWidth;
        /// <summary>
        /// 预测类型
        /// </summary>
        [LoadColumn(4)]
        public string FlowerType;
    }

    /// <summary>
    /// 预测类
    /// </summary>
    public class ClusterPrediction
    {
        /// <summary>
        /// 包含所预测的群集
        /// </summary>
        //[ColumnName("PredictedLabel")]
        //public string PredictedClusterId;

        //预测输出类型
        public string PredictedLabelPlant;
        /// <summary>
        /// 列包含一个数组，该数组中的数与群集形心之间的距离为欧氏距离的平方。
        /// 该数组的长度等于群集数。
        /// </summary>
        [ColumnName("Score")]
        public float[] Distances;
    }
}
